---
lang: en
title: 'API docs: cron'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/extensions/cron
permalink: /doc/en/lb4/apidocs.cron.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/cron](./cron.md)

## cron package

[@loopback/cron](https://github.com/strongloop/loopback-next/tree/master/extensions/cron)

## Classes

|  Class | Description |
|  --- | --- |
|  [CronComponent](./cron.croncomponent.md) | The CronComponent manages cron jobs. It serves as an extension point for cron jobs. |
|  [CronJob](./cron.cronjob.md) | Cron job with an optional name |

## Functions

|  Function | Description |
|  --- | --- |
|  [asCronJob(binding)](./cron.ascronjob.md) | A <code>BindingTemplate</code> function to configure the binding as a cron job. |
|  [cronJob(specs)](./cron.cronjob.md) | <code>@cronJob</code> decorates a cron job provider class |

## Namespaces

|  Namespace | Description |
|  --- | --- |
|  [CronBindings](./cron.cronbindings.md) | Binding keys used by this component. |

## Variables

|  Variable | Description |
|  --- | --- |
|  [CRON\_JOB\_SCHEDULER](./cron.cron_job_scheduler.md) | Name of the cron job extension point |

## Type Aliases

|  Type Alias | Description |
|  --- | --- |
|  [CronJobConfig](./cron.cronjobconfig.md) | Configuration for a cron job. |
|  [CronJobOptions](./cron.cronjoboptions.md) | Options for a cron job. It adds an optional <code>name</code> to cron parameters.[cron configuration](https://github.com/kelektiv/node-cron#api) |


